Bug 187896 - PCMCIA card doesn't work with kernel 2.6.16-1.2069
PCMCIA card doesn't work with kernel 2.6.16-1.2069
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 07:36 EDT by Leonid Kanter
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-17 10:25:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2006-04-04 07:36:16 EDT
Description of problem:

PCMCIA card doesn't work with kernel 2.6.16-1.2069_FC4. It works fine with
2.6.14-1.1653_FC4

Version-Release number of selected component (if applicable):

2.6.16-1.2069_FC4

How reproducible:

always

Steps to Reproduce:
1. Insert pcmcia bluetooth card
  
Actual results:

dmesg outpup:

pccard: PCMCIA card inserted into slot 0
cs: memory probe 0xa0000000-0xa0ffffff: clean.
pcmcia: registering new device pcmcia0.0
serial_cs: serial8250_register_port() at 0x0100, irq 3 failed

Cat /proc/interrupts show that nobody use irq3, but actually it's reserved for
infrared device. And kernel (partially) know about it:

serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a NS16550A
00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A

Expected results:

dmesg output from 2.6.14-1.1653:

cs: memory probe 0xa0000000-0xa0ffffff: clean.
ttyS4: detected caps 00000700 should be 00000100
ttyS4 at I/O 0x100 (irq = 3) is a 16C950/954
Bluetooth: HCI UART driver ver 2.1
Bluetooth: HCI H4 protocol initialized
Bluetooth: HCI BCSP protocol initialized
bcsp_recv: Out-of-order packet arrived, got 1 expected 0
[root@omnibook ~]# hcitool dev
Devices:
        hci0    00:10:60:AA:FA:D2

Additional info:

[root@omnibook ~]# cardctl info
PRODID_1="PCMCIA"
PRODID_2="Bluetooth Card"
PRODID_3=""
PRODID_4=""
MANFID=0279,950b
FUNCID=2

This problem is reproduceable in both apm and acpi modes.
Tried to disable irq3 in /etc/pcmcia/config.opts - got the same message about
irq11. 

pccard: PCMCIA card inserted into slot 0
pcmcia: registering new device pcmcia0.0
serial_cs: serial8250_register_port() at 0x0100, irq 11 failed


Tried FC5 - it works fine with 2.6.16-1.2080_FC5

pccard: PCMCIA card inserted into slot 0
cs: memory probe 0xa0000000-0xa0ffffff: clean.
pcmcia: registering new device pcmcia0.0
ttyS2: detected caps 00000700 should be 00000100
0.0: ttyS2 at I/O 0x100 (irq = 3) is a 16C950/954
Comment 1 Dave Jones 2006-09-16 23:19:37 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Leonid Kanter 2006-09-17 06:15:03 EDT
It works OK with 2.6.17 kernels for fc4/fc5/fc6.

Note You need to log in before you can comment on or make changes to this bug.